-- phpMyAdmin SQL Dump
-- version 3.0.1.1
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Erstellungszeit: 16. Januar 2009 um 19:18
-- Server Version: 5.0.45
-- PHP-Version: 5.2.6

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Datenbank: `orion`
--

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `orion_bs_badwords`
--

CREATE TABLE IF NOT EXISTS `orion_bs_badwords` (
  `art` int(1) NOT NULL default '0',
  `channel` varchar(40) NOT NULL default '',
  `badword` varchar(200) NOT NULL,
  KEY `channel` (`channel`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='Here we store all badwords BotServ knows (Global)';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `orion_bs_core`
--

CREATE TABLE IF NOT EXISTS `orion_bs_core` (
  `botnick` varchar(35) NOT NULL default '',
  `botident` varchar(35) NOT NULL default '',
  `bothost` varchar(150) NOT NULL default '',
  `botrealname` varchar(200) NOT NULL default '',
  `private` tinyint(1) default NULL,
  `time` int(11) default NULL,
  PRIMARY KEY  (`botnick`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='Holds the information about BotServ Bots - without channels';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `orion_chan_bans`
--

CREATE TABLE IF NOT EXISTS `orion_chan_bans` (
  `channel` varchar(50) NOT NULL default '',
  `ban` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`channel`,`ban`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='In this table orion stores all channel bans (readonly)';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `orion_chan_expbans`
--

CREATE TABLE IF NOT EXISTS `orion_chan_expbans` (
  `channel` varchar(50) NOT NULL default '',
  `exception` varchar(100) NOT NULL default '',
  KEY `channel` (`channel`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='Exception (bans) for all channels (readonly)';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `orion_chan_users`
--

CREATE TABLE IF NOT EXISTS `orion_chan_users` (
  `nick` varchar(35) NOT NULL default '',
  `channel` varchar(40) NOT NULL default '',
  `modes` varchar(50) NOT NULL,
  `faketype` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`nick`,`channel`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='Who is in which channel - with what modes? (readonly)';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `orion_core_commands`
--

CREATE TABLE IF NOT EXISTS `orion_core_commands` (
  `service` varchar(50) NOT NULL default '',
  `modul` varchar(200) NOT NULL default '',
  `user_level` int(5) NOT NULL default '0',
  `root_level` int(5) NOT NULL default '0',
  PRIMARY KEY  (`service`,`modul`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='Here is stored which commands orion has loaded (readonly)';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `orion_core_condata`
--

CREATE TABLE IF NOT EXISTS `orion_core_condata` (
  `nick` varchar(35) NOT NULL default '',
  `time` int(11) NOT NULL,
  `localtime` int(11) NOT NULL,
  `rident` varchar(20) NOT NULL default '',
  `ident` varchar(20) NOT NULL default '',
  `rhost` varchar(70) NOT NULL default '',
  `srv` varchar(50) NOT NULL default '',
  `modes` varchar(32) NOT NULL default '',
  `vhost` varchar(70) NOT NULL default '',
  `realname` varchar(200) NOT NULL default '',
  `swhois` varchar(200) NOT NULL default '',
  `subnet` varchar(40) NOT NULL default '',
  `ip` varchar(17) NOT NULL default '',
  `ns_warntime` bigint(13) NOT NULL default '0',
  `faketype` tinyint(1) NOT NULL default '0',
  `is_webchat_user` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`nick`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8 COMMENT='All (to the network) connected users (readonly)';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `orion_core_condata_log`
--

CREATE TABLE IF NOT EXISTS `orion_core_condata_log` (
  `nick` varchar(35) NOT NULL default '',
  `time` int(11) NOT NULL,
  `localtime` int(11) NOT NULL,
  `rident` varchar(20) NOT NULL default '',
  `ident` varchar(20) NOT NULL default '',
  `rhost` varchar(70) NOT NULL default '',
  `srv` varchar(50) NOT NULL default '',
  `modes` varchar(32) NOT NULL default '',
  `vhost` varchar(70) NOT NULL default '',
  `realname` varchar(200) NOT NULL default '',
  `swhois` varchar(200) NOT NULL default '',
  `subnet` varchar(40) NOT NULL default '',
  `ip` varchar(17) NOT NULL default '',
  `ns_warntime` bigint(13) NOT NULL default '0',
  `faketype` tinyint(1) NOT NULL default '0',
  `is_webchat_user` tinyint(1) NOT NULL default '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='Users that have been connected to the network (readonly)';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `orion_core_condata_tmp`
--

CREATE TABLE IF NOT EXISTS `orion_core_condata_tmp` (
  `nick` varchar(35) NOT NULL default '',
  `time` int(11) NOT NULL,
  `localtime` int(11) NOT NULL,
  `rident` varchar(20) NOT NULL default '',
  `ident` varchar(20) NOT NULL default '',
  `rhost` varchar(70) NOT NULL default '',
  `srv` varchar(50) NOT NULL default '',
  `modes` varchar(32) NOT NULL default '',
  `vhost` varchar(70) NOT NULL default '',
  `realname` varchar(200) NOT NULL default '',
  `swhois` varchar(200) NOT NULL default '',
  `subnet` varchar(40) NOT NULL default '',
  `ip` varchar(17) NOT NULL default '',
  `ns_warntime` bigint(13) NOT NULL default '0',
  `faketype` tinyint(1) NOT NULL default '0',
  `is_webchat_user` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`nick`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='- Just used for internal management';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `orion_core_config_ro`
--

CREATE TABLE IF NOT EXISTS `orion_core_config_ro` (
  `variable` varchar(150) NOT NULL,
  `value` varchar(512) NOT NULL
) ENGINE=MEMORY DEFAULT CHARSET=utf8 COMMENT='Config variables - makes it readable for the Webform (readonly)';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `orion_core_glines`
--

CREATE TABLE IF NOT EXISTS `orion_core_glines` (
  `rng` char(1) NOT NULL default '',
  `line` char(1) NOT NULL default '',
  `gline` varchar(255) NOT NULL,
  `duration` int(11) NOT NULL,
  `addedby` varchar(50) NOT NULL default '',
  `reason` varchar(200) NOT NULL default '',
  PRIMARY KEY  (`line`,`gline`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='Manages glines made by Services (readonly) and RegEXP glines';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `orion_core_lines`
--

CREATE TABLE IF NOT EXISTS `orion_core_lines` (
  `type` char(1) NOT NULL,
  `mask` varchar(255) NOT NULL,
  `duration` int(15) unsigned NOT NULL,
  `addedby` varchar(35) NOT NULL,
  `reason` varchar(300) NOT NULL,
  PRIMARY KEY  (`type`,`mask`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='Known Glines, Qlines, Zlines which aren''t from Services (ro)';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `orion_core_servers`
--

CREATE TABLE IF NOT EXISTS `orion_core_servers` (
  `server` varchar(150) NOT NULL,
  `uplink` varchar(150) NOT NULL default '',
  `hopcount` int(2) NOT NULL
) ENGINE=MEMORY DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='All connected Server - with their uplinks (readonly)';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `orion_cs_access`
--

CREATE TABLE IF NOT EXISTS `orion_cs_access` (
  `serv` varchar(35) NOT NULL default '',
  `authnick` varchar(200) NOT NULL,
  `channel` varchar(40) NOT NULL default '',
  `level` varchar(60) NOT NULL,
  KEY `channel` (`channel`),
  KEY `anickhost` (`authnick`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='Access levels for all users in "all" channels of the network';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `orion_cs_akick`
--

CREATE TABLE IF NOT EXISTS `orion_cs_akick` (
  `channel` varchar(35) NOT NULL default '',
  `mask` varchar(35) NOT NULL default '',
  `reason` varchar(35) NOT NULL default '',
  `flags` int(1) NOT NULL default '0',
  `creator` varchar(35) NOT NULL default '0',
  `addtime` int(11) NOT NULL default '0',
  PRIMARY KEY  (`channel`,`mask`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='Holds all ChanServ akick''s';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `orion_cs_core`
--

CREATE TABLE IF NOT EXISTS `orion_cs_core` (
  `channel` varchar(40) NOT NULL default '',
  `botnick` varchar(35) default NULL,
  `serv` varchar(35) NOT NULL default '',
  `founder` varchar(35) default NULL,
  `successor` varchar(35) default NULL,
  `email` varchar(100) NOT NULL default '',
  `settings` int(11) unsigned NOT NULL default '0',
  `regdate` int(15) unsigned NOT NULL,
  `datecreate` varchar(27) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  `mode` varchar(45) NOT NULL,
  `mlock_positive` varchar(45) NOT NULL,
  `mlock_negative` varchar(45) NOT NULL,
  `mlock_limit` int(15) unsigned NOT NULL default '0',
  `mlock_key` varchar(50) NOT NULL,
  `mlock_flood` varchar(110) NOT NULL,
  `mlock_redirect` varchar(80) NOT NULL,
  `link` varchar(80) NOT NULL,
  `limit` int(15) unsigned NOT NULL,
  `key` varchar(25) NOT NULL default '',
  `flood` varchar(25) NOT NULL default '',
  `last_topic` varchar(308) NOT NULL,
  `last_topic_setter` varchar(35) NOT NULL default '',
  `last_topic_time` int(15) unsigned NOT NULL,
  `url` varchar(100) NOT NULL,
  `alimit` int(15) unsigned NOT NULL default '0',
  `flags` varchar(15) NOT NULL default '',
  `welcome` varchar(255) NOT NULL default '',
  `last_used` int(15) unsigned NOT NULL,
  `expire` int(1) NOT NULL default '0',
  `maxmemos` int(10) NOT NULL default '0',
  `reason` varchar(255) NOT NULL,
  `cs_set` int(4) NOT NULL default '0',
  `cs_autodeop` int(4) NOT NULL default '0',
  `cs_autohalfop` int(4) NOT NULL default '0',
  `cs_autoop` int(4) NOT NULL default '0',
  `cs_autoprotect` int(4) NOT NULL default '0',
  `cs_autovoice` int(4) NOT NULL default '0',
  `cs_nojoin` int(4) NOT NULL default '0',
  `cs_signkick` int(4) NOT NULL default '0',
  `cs_acclist` int(4) NOT NULL default '0',
  `cs_accchange` int(4) NOT NULL default '0',
  `cs_akick` int(4) NOT NULL default '0',
  `cs_ban` int(4) NOT NULL default '0',
  `cs_banme` int(4) NOT NULL default '0',
  `cs_cclear` int(4) NOT NULL default '0',
  `cs_getkey` int(4) NOT NULL default '0',
  `cs_halfop` int(4) NOT NULL default '0',
  `cs_halfopme` int(4) NOT NULL default '0',
  `cs_info` int(4) NOT NULL default '0',
  `cs_kick` int(4) NOT NULL default '0',
  `cs_kickme` int(4) NOT NULL default '0',
  `cs_invite` int(4) NOT NULL default '0',
  `cs_opdeop` int(4) NOT NULL default '0',
  `cs_opdeopme` int(4) NOT NULL default '0',
  `cs_protect` int(4) NOT NULL default '0',
  `cs_protectme` int(4) NOT NULL default '0',
  `cs_topic` int(4) NOT NULL default '0',
  `cs_unban` int(4) NOT NULL default '0',
  `cs_voice` int(4) NOT NULL default '0',
  `cs_voiceme` int(4) NOT NULL default '0',
  `cs_memo` int(4) NOT NULL default '0',
  `cs_botassign` int(4) NOT NULL default '0',
  `cs_badwords` int(4) NOT NULL default '0',
  `cs_fantasia` int(4) NOT NULL default '0',
  `cs_greet` int(4) NOT NULL default '0',
  `cs_nokick` int(4) NOT NULL default '0',
  `cs_say` int(4) NOT NULL default '0',
  `bs_set` int(4) NOT NULL default '0',
  `bs_caps_ttb` int(2) NOT NULL,
  `bs_caps_min` tinyint(3) NOT NULL default '-1',
  `bs_caps_per` tinyint(2) NOT NULL default '-1',
  `bs_flood_ttb` int(2) NOT NULL,
  `bs_flood_ln` tinyint(2) NOT NULL default '-1',
  `bs_flood_secs` tinyint(3) NOT NULL default '-1',
  `bs_repeat_ttb` int(2) NOT NULL,
  `bs_repeat` tinyint(2) NOT NULL default '-1',
  `bs_colors` tinyint(1) NOT NULL default '-1',
  `bs_underlines` tinyint(1) NOT NULL default '-1',
  `bs_reverses` tinyint(1) NOT NULL default '-1',
  `bs_badwords` tinyint(1) NOT NULL default '-1',
  `bs_bolds` tinyint(1) NOT NULL default '-1',
  PRIMARY KEY  (`channel`),
  KEY `channels_botnick` (`botnick`),
  KEY `channels_founder` (`founder`),
  KEY `channels_successor` (`successor`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='Information about all existing channels on the Network';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `orion_hs_core`
--

CREATE TABLE IF NOT EXISTS `orion_hs_core` (
  `nick` varchar(35) NOT NULL default '',
  `display` varchar(35) NOT NULL default '',
  `nick_type` tinyint(1) NOT NULL default '0',
  `vhost` varchar(255) NOT NULL default '',
  `authorized` varchar(35) NOT NULL default '',
  `changetime` int(11) NOT NULL default '0',
  `active` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`nick`),
  KEY `hs_core_access` (`display`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='All vhosts for all users';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `orion_ms_core`
--

CREATE TABLE IF NOT EXISTS `orion_ms_core` (
  `sender` varchar(35) NOT NULL,
  `receiver` varchar(80) NOT NULL,
  `priority` int(1) NOT NULL default '0',
  `rsend` int(1) NOT NULL default '0',
  `mode` int(1) NOT NULL default '0',
  `time` int(11) NOT NULL default '0',
  `memo` text NOT NULL,
  PRIMARY KEY  (`sender`,`receiver`,`time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='All memos that were sent';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `orion_ns_aliases`
--

CREATE TABLE IF NOT EXISTS `orion_ns_aliases` (
  `nick` varchar(35) NOT NULL default '',
  `display` varchar(35) default NULL,
  `last_usermask` varchar(100) NOT NULL default '',
  `last_realname` varchar(70) NOT NULL default '',
  `last_quit` varchar(220) NOT NULL default '',
  `time_linked` int(15) unsigned NOT NULL,
  `last_login` int(15) unsigned NOT NULL,
  `last_used` int(15) unsigned NOT NULL,
  `expire` tinyint(1) NOT NULL default '1',
  `active` tinyint(1) NOT NULL default '0',
  `linked` tinyint(1) NOT NULL default '1',
  `forbid` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`nick`),
  KEY `display` (`display`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='All nickaliases for the Displaynicks';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `orion_ns_core`
--

CREATE TABLE IF NOT EXISTS `orion_ns_core` (
  `authnick` varchar(35) NOT NULL default '',
  `password` varchar(60) NOT NULL default '',
  `reason` varchar(255) NOT NULL,
  `qlevel` int(11) NOT NULL,
  `olevel` int(11) NOT NULL,
  `slevel` int(11) NOT NULL,
  `llevel` int(11) NOT NULL,
  `email` varchar(100) NOT NULL default '',
  `greet` varchar(255) NOT NULL default '',
  `url` varchar(100) NOT NULL,
  `icq` int(14) NOT NULL default '0',
  `msn` varchar(50) NOT NULL,
  `yahoo` varchar(20) NOT NULL default '',
  `location` varchar(100) NOT NULL default '',
  `birthday` varchar(30) NOT NULL default '0',
  `realname` varchar(100) NOT NULL default '',
  `gender` tinyint(1) NOT NULL default '0',
  `interests` varchar(255) NOT NULL default '',
  `profession` varchar(100) NOT NULL default '',
  `slogan` varchar(255) NOT NULL default '',
  `language` int(15) NOT NULL default '0',
  `rights` int(15) NOT NULL default '0',
  `settings` int(11) unsigned NOT NULL default '0',
  `failed_logins` int(10) unsigned NOT NULL default '0',
  `last_failed_login` int(15) unsigned NOT NULL default '0',
  `last_login_password` varchar(60) NOT NULL,
  `maxmemos` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`authnick`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='All registered Authnicks/Displaynicks and common Information';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `orion_ns_request`
--

CREATE TABLE IF NOT EXISTS `orion_ns_request` (
  `display` varchar(35) NOT NULL default '',
  `passcode` varchar(35) NOT NULL default '',
  `password` varchar(60) NOT NULL default '',
  `email` varchar(60) NOT NULL default '',
  `reqtime` int(11) NOT NULL default '0',
  `reqsent` int(11) NOT NULL default '0',
  `emailchange` int(1) NOT NULL default '0',
  PRIMARY KEY  (`display`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='All lately requested nicks';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `orion_os_sqlines`
--

CREATE TABLE IF NOT EXISTS `orion_os_sqlines` (
  `qline` varchar(110) NOT NULL default '',
  `duration` varchar(20) NOT NULL default '',
  `addedby` varchar(50) NOT NULL default '',
  `reason` varchar(200) NOT NULL default '',
  PRIMARY KEY  (`qline`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='OperServ''s Qline management';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `orion_os_szlines`
--

CREATE TABLE IF NOT EXISTS `orion_os_szlines` (
  `zline` varchar(110) NOT NULL default '',
  `duration` varchar(20) NOT NULL default '',
  `addedby` varchar(50) NOT NULL default '',
  `reason` varchar(200) NOT NULL default '',
  PRIMARY KEY  (`zline`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='OperServ''s Zline management';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `orion_os_trustgroups`
--

CREATE TABLE IF NOT EXISTS `orion_os_trustgroups` (
  `group` varchar(50) NOT NULL default '',
  `limit` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`group`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='OperServ''s trustgroups (session management by using Groups)';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `orion_os_trusts`
--

CREATE TABLE IF NOT EXISTS `orion_os_trusts` (
  `art` char(1) NOT NULL default '',
  `rhost` varchar(100) NOT NULL default '',
  `limit` varchar(100) NOT NULL default '',
  `description` text NOT NULL,
  PRIMARY KEY  (`art`,`rhost`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='OperServ''s trusts (sessionlimits for Hosts / Ips / Groups)';

--
-- Constraints der exportierten Tabellen
--

--
-- Constraints der Tabelle `orion_bs_badwords`
--
ALTER TABLE `orion_bs_badwords`
  ADD CONSTRAINT `botbadwords_channels` FOREIGN KEY (`channel`) REFERENCES `orion_cs_core` (`channel`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints der Tabelle `orion_chan_bans`
--
ALTER TABLE `orion_chan_bans`
  ADD CONSTRAINT `chanban_channels` FOREIGN KEY (`channel`) REFERENCES `orion_cs_core` (`channel`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints der Tabelle `orion_chan_expbans`
--
ALTER TABLE `orion_chan_expbans`
  ADD CONSTRAINT `expban_channels` FOREIGN KEY (`channel`) REFERENCES `orion_cs_core` (`channel`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints der Tabelle `orion_cs_access`
--
ALTER TABLE `orion_cs_access`
  ADD CONSTRAINT `chanaccess_access` FOREIGN KEY (`authnick`) REFERENCES `orion_ns_core` (`authnick`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `chanaccess_channels` FOREIGN KEY (`channel`) REFERENCES `orion_cs_core` (`channel`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints der Tabelle `orion_cs_akick`
--
ALTER TABLE `orion_cs_akick`
  ADD CONSTRAINT `akick_channels` FOREIGN KEY (`channel`) REFERENCES `orion_cs_core` (`channel`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints der Tabelle `orion_cs_core`
--
ALTER TABLE `orion_cs_core`
  ADD CONSTRAINT `channels_botnick` FOREIGN KEY (`botnick`) REFERENCES `orion_bs_core` (`botnick`) ON DELETE SET NULL ON UPDATE CASCADE,
  ADD CONSTRAINT `channels_founder` FOREIGN KEY (`founder`) REFERENCES `orion_ns_core` (`authnick`) ON DELETE SET NULL ON UPDATE CASCADE,
  ADD CONSTRAINT `channels_successor` FOREIGN KEY (`successor`) REFERENCES `orion_ns_core` (`authnick`) ON DELETE SET NULL ON UPDATE CASCADE;

--
-- Constraints der Tabelle `orion_hs_core`
--
ALTER TABLE `orion_hs_core`
  ADD CONSTRAINT `hs_core_access` FOREIGN KEY (`display`) REFERENCES `orion_ns_core` (`authnick`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `hs_core_aliases` FOREIGN KEY (`nick`) REFERENCES `orion_ns_aliases` (`nick`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints der Tabelle `orion_ns_aliases`
--
ALTER TABLE `orion_ns_aliases`
  ADD CONSTRAINT `aliases_access` FOREIGN KEY (`display`) REFERENCES `orion_ns_core` (`authnick`) ON DELETE CASCADE ON UPDATE CASCADE;
